#!/bin/bash
#
 
usage()
{
   echo "USAGE: `basename ${0}` <product_directory>"
}

product_dir=${1}

if [ -z ${product_dir} ]
then
   echo "ERROR: please specify the local product directory"
   usage
   exit 1
fi

# make sure we can use the setup alias
if [ -z ${UPS_DIR} ]
then
   echo "ERROR: please setup ups"
   exit 1
fi
source `${UPS_DIR}/bin/ups setup ${SETUP_UPS}`

setup upd

upd install g4abla v3_0 -z ${product_dir}
upd install g4emlow v6_48 -z ${product_dir}
upd install g4neutron v4_5 -z ${product_dir}
upd install g4neutronxs v1_4 -z ${product_dir}
upd install g4nucleonxs v1_1 -z ${product_dir}
upd install g4nuclide v1_2_3 -z ${product_dir}
upd install g4photon v3_2 -z ${product_dir}
upd install g4pii v1_3 -z ${product_dir}
upd install g4radiative v4_3_2 -z ${product_dir}
upd install g4surface v1_0 -z ${product_dir}
upd install g4tendl v1_0 -z ${product_dir}

exit 0
